/* 
   VSIArchiveFilesystemHandler::Stat() from cpl_vsil_abstract_archive.cpp
   Lines 498-510
*/

if (poReader->GotoNextFile())
{
    /* Several files in archive --> treat as dir */
    pStatBuf->st_size = 0;
    pStatBuf->st_mode = S_IFDIR;
}
else
{
    /* Patching st_size with uncompressed file size */
    pStatBuf->st_size = poReader->GetFileSize();
    pStatBuf->st_mtime = (time_t)poReader->GetModifiedTime();
    pStatBuf->st_mode = S_IFREG;
}